[Stable Update] 2018-05-17 - GCC8, Gimp, KDE, Gnome, Deepin, Firefox

update
stable

#1

Hi community,

although we tried to wait not too long since the last one, this has again become quite a big and important stable update.
With the arrival of GCC 8 all our kernels with extramodules and other software had to be re-compiled. Kernels linux 414, 416, 49 and realtime LTS kernel 4.14.40-rt30 had new point releases and linux417 is now at rc5.

GIMP has gone ‘all mushrooms’ :wink: with a fresh new look for its latest stable release:

We update Gnome to 3.28.2, KDE-framework to 5.46 with KDE-apps 18.04.1 and Deepin and Cinnamon receive several package updates aswell. Also of course we have the very latest browser versions for you: Firefox 60.0.1, Chromium 66.0.3359.181 and Palemoon 27.9.1

Users of video editor flowblade (from the AUR) should be aware that it is currently not ready for mlt 6.8.0, which is also on today’s package list! Hopefully its developers will be able to adjust quickly…


If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts:


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.108 [EOL]
  • linux41 4.1.51
  • linux44 4.4.131
  • linux49 4.9.99
  • linux414 4.14.40
  • linux415 4.15.18 [EOL]
  • linux416 4.16.8
  • linux417 4.17-rc5
  • linux414-rt 4.14.40_rt30
  • linux416-rt 4.16.7_rt3

Package Updates (Thu May 17 23:13 CEST 2018)

  • core x86_64: 42 new and 43 removed package
  • extra x86_64: 951 new and 959 removed package
  • community x86_64: 912 new and 879 removed package
  • multilib x86_64: 13 new and 17 removed package

The full package list can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Haven't received updates in a while
#2

This is a wiki post; please edit as necessary.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


Hard lock up before booting - Manjaro x64 XFCE - Samsung Laptop NT301V5A
Manjaro taking too long to boot
#3

All seems to be running ok, new adapta whisker menu looks really good but I’m having an issue where it hovers a couple of pixels above the panel when using a compositor (Compton or xfce default).


#5

Just updated and it boots just fine. I will try doing other things as well.


#6

i can’t found any update

:: Synchronizing package databases…
core 144.1 KiB 45.3K/s 00:03 [###################################] 100%
extra 1758.7 KiB 26.9K/s 01:05 [###################################] 100%
community 4.6 MiB 28.0K/s 02:49 [###################################] 100%
multilib 179.8 KiB 28.9K/s 00:06 [###################################] 100%
:: Starting full system upgrade…
there is nothing to do


#7

Xfce with today’s updates works perfectly.
Thanks Folks!


#8

No, DON’T !! :crazy_face:


#9

All fine with this update. Thanks to the Manjaro crew. :kissing_heart:

Also todays testing update is good, but no thread to put my vote in. :wink:


#10
/usr/lib/gimp/2.0/plug-ins/wavelet-decompose existe no sistema de ficheiros

Exists in the file system. Remove gimp-plugin-wavelet-decompose and you’ll be fine. Since this feature is apparently included in the new gimp, the plugin can probably be removed from the repositories.


Problem with system Upgrade.
#11

Looks good here. Xfce with kernel 4.14.40 all free drivers.


#12

Did you check to see if mirrors are updated?

try
sudo pacman-mirrors -g
sudo pacman -Syyu


#13

No issues noticed here on XFCE on several systems.

:+1:


#14

XFCE edition on iMac, everything went smoothly. :+1:


#15

No issues with Openbox.
Thanks Folks! :+1:


#16

Very big update with kde stable, but all works fine. Thanks to the manjaro team :grinning:

regards
caho


#17

What no pacnew! :smile:
No buttons to push lap and desk xfce.
Thanks


#18

Hello everybody. The update broke my wifi(rtl8723b). It was working fine with the LTS(4.14) kernel until this update.It didn’t work with the newest kernels and was already reported by me and another guy here : WiFi w/ rtl8723be on Kernel 4.16 not working?


#19

Xfce - updated perfectly.

Thanks!
GM


#20

Hi there,

I really do like those wiki posts at the beginning of a stable update announcement. Just a quick read about potential problems, so there is no surprise afterwards :+1:

Best regards,

Christoph


#21

Both desktop and laptop updated flawlessly.